﻿<div data-ng-controller="listOfViewStateCodeController as vm">
    <fieldset>
        <div class="row col-xs-12 ">
            <div class="form-group col-xs-4 col-lg-4">
                <label id="lblCountry">Country</label>
                <input id="txtCountry" type="text" ng-model="LovParamStateCode.country" class="form-control txtInput" />
            </div>
            <div class="col-xs-4  form-group col-lg-4">
                <label id="lblStateCode">State Code</label>
                <input id="txtStateCode" type="text" ng-model="LovParamStateCode.state_code" class="form-control txtInput" />
            </div>
        </div>
        <div class="col-xs-12 alpha no-offset">
            <div class="form-group col-xs-6 col-lg-6">
                <input id="btnSearch" type="button" class="btn btn-dialog-search" value="Search" ng-click="vm.SearchData()" />
                <input id="btnCancel" type="button" class="btn btn-dialog-clear" value="Clear" ng-click="vm.ListOfViewCancel()" />
            </div>
            <div class="form-group col-xs-6 col-lg-6 text-right no-offset">
                <label><span ng-if="IsMultipleSelected">AppResource.CommonSelect {{ListSelectedReferences.length}}/</span>{{ListDisplayStateCode.TotalRecord}} Records</label>
                <button ng-if="IsMultipleSelected" id="btnSubmit" type="button" class="btn btn-sm" data-ng-click="vm.ListOfViewSubmit()">AppResource.CommonOk</button>
            </div>
        </div>
    </fieldset>

    <div class="row col-xs-12 ">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr style="background-color: #FF6505;color: white;">
                        @*<th class="text-center col-xs-1" ng-if="IsShowLock">&nbsp;</th>
                            <th class="text-center col-xs-1" ng-if="IsMultipleSelected">
                                <input id="chkSelectedAll" type="checkbox" ng-model="vm.isCheckedAll" ng-change="vm.SelectedAll()" />
                            </th>*@
                        <th class="text-center col-xs-1"><span>No.</span></th>
                        <th class="text-center col-xs-2">
                            <span style="color:white">Country</span>
                            @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[Customer].custid');">
                                    <span ng-if="SearchParameter.SortColumn == '[Customer].custid'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                        </th>
                        <th class="text-center col-xs-2">
                            <span style="color:white">State Code</span>
                            @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[Customer].cust_name');">
                                    <span ng-if="SearchParameter.SortColumn == '[Customer].cust_name'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                        </th>
                        <th class="text-center col-xs-3">
                            <span style="color:white">State Name</span>
                            @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[Customer].[address1]');">
                                    <span style="color:white">Address 1</span>
                                    <span ng-if="SearchParameter.SortColumn == '[Customer].[address1]'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                        </th>
                       
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="item in ListDisplayStateCode.SearchResults" class="lblHover" ng-click="vm.SelectRow(item)">
                        <td class="text-center" ng-if="IsMultipleSelected"><input id="checkBox{{item.Id}}" type="checkbox" ng-model="item.IsSelected" ng-change="vm.SelectRow(item)"></td>
                        <td class="text-center">{{(SearchParameter.ItemsPerPage*(SearchParameter.Page-1))+$index+1}}</td>
                        <td class="text-left">{{ item.country }}</td>
                        <td class="text-center">{{ item.state_code }}</td>
                        <td class="text-left">{{ item.state_name }}</td>


                    </tr>
                    <tr ng-if="ListDisplayStateCode.SearchResults.length <= 0">
                        <td class="text-center" colspan="5">
                            <div>No Data Found.</div>
                        </td>
                    </tr>
                </tbody>
            </table>

            <div class="col-xs-12 form-group no-offset">
                <dir-pagination-lov total-count="ListDisplayStateCode.TotalRecord"
                                    records-per-page="SearchParameter.ItemsPerPage"
                                    url-prefix="'#'+vm.defaultUrlPrefix"
                                    url-postfix="vm.urlPostfix?'?'+vm.urlPostfix:''"
                                    current-page-id="SearchParameter.Page"
                                    skip="SearchParameter.ItemsPerPage*(SearchParameter.Page-1)"
                                    ng-model="SelectedPageLink">
                </dir-pagination-lov>
            </div>
        </div>
    </div>

</div>

